VmDatas (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.xml

## Class VmDatas

- java.lang.Object
- - org.cloudbus.cloudsim.xml.VmDatas

-     public class VmDatas
      extends Object

  * This class contains all VM parameters
  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France Please cite: T. Guérout et al., Energy-aware simulation with DVFS, Simulat. Modell. Pract. Theory (2013), http://dx.doi.org/10.1016/j.simpat.2013.04.007

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VmDatas()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBw()`
    `int` | `getCpu()`
    `int` | `getMips()`
    `int` | `getRam()`
    `int` | `getSize()`
    `String` | `getVmm()`
    `void` | `setBw(int bw)`
    `void` | `setCpu(int cpu)`
    `void` | `setMips(int mips)`
    `void` | `setRam(int ram)`
    `void` | `setSize(int size)`
    `void` | `setVmm(String vmm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VmDatas

          public VmDatas()

  - ### Method Detail

    - #### getBw

          public int getBw()

    - #### setBw

          public void setBw(int bw)

    - #### getCpu

          public int getCpu()

    - #### setCpu

          public void setCpu(int cpu)

    - #### getMips

          public int getMips()

    - #### setMips

          public void setMips(int mips)

    - #### getRam

          public int getRam()

    - #### setRam

          public void setRam(int ram)

    - #### getSize

          public int getSize()

    - #### setSize

          public void setSize(int size)

    - #### getVmm

          public String getVmm()

    - #### setVmm

          public void setVmm(String vmm)

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.